<?php
namespace App\metier;

class Profil
{
    /**
     * @var int Identifiant
     */
    private int $id;

    /**
     * @var Alumni Compte
     */
    private Alumni $alumni;

    /**
     * @var string CV
     */
    private string $cv;

    /**
     * @var string Nom
     */
    private string $nom;

    /**
     * @var string Prenom
     */
    private string $prenom;

    /**
     * @var string Url linkedin
     */
    private string $linkedinUrl;

    /**
     * @var string Url github
     */
    private string $githubUrl;

    /**
     * @var string Url du portfolio
     */
    private string $portfolioUrl;

    /**
     * @param int $id
     * @param Alumni $alumni
     * @param string $cv
     * @param string $nom
     * @param string $prenom
     * @param string $linkedinUrl
     * @param string $githubUrl
     * @param string $portfolioUrl
     */
    public function __construct(int $id, Alumni $alumni, string $cv, string $nom, string $prenom, string $linkedinUrl, string $githubUrl, string $portfolioUrl)
    {
        $this->id = $id;
        $this->alumni = $alumni;
        $this->cv = $cv;
        $this->nom = $nom;
        $this->prenom = $prenom;
        $this->linkedinUrl = $linkedinUrl;
        $this->githubUrl = $githubUrl;
        $this->portfolioUrl = $portfolioUrl;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getAlumni(): Alumni
    {
        return $this->alumni;
    }

    public function getCv(): string
    {
        return $this->cv;
    }

    public function getNom(): string
    {
        return $this->nom;
    }

    public function getPrenom(): string
    {
        return $this->prenom;
    }

    public function getLinkedinUrl(): string
    {
        return $this->linkedinUrl;
    }

    public function getGithubUrl(): string
    {
        return $this->githubUrl;
    }

    public function getPortfolioUrl(): string
    {
        return $this->portfolioUrl;
    }
}